QGIS Application - Bug report #20840
Keep N biggest parts documentation is incorrect
2018-12-18 05:57 PM - Odysseas VI

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28659
Description

QGIS 3.4.2 , Windows 10, 64bit

Keep N biggest parts does not consider the input "Parts to keep" returning all the features from the shapefile input and not the number
specified, e.g. 1.
Hard disc saving or temp file does not change outcome.

Example that returns all the features without selecting the 3 biggest:

_Processing algorithm...

Algorithm 'Keep N biggest parts' starting...

Input parameters:{ 'OUTPUT" : 'C:/.../test.shp', 'PARTS': 3, 'POLYGONS': 'C:/.../in.shp' }

Execution completed in 0.47 seconds
Results:{'OUTPUT": 'C:/.../out.shp'}

Loading resulting layers
Algorithm 'Keep N biggest parts' finished

and from processing command history:

processing.run("qgis:keepnbiggestparts”, {{ POLYGONS'"'C:/.../in.shp','PARTS":3,'OUTPUT"'C:/.../out.shp'})

History

#1 - 2018-12-18 09:35 PM - Nyall Dawson
- Status changed from Open to Feedback

You're misinterpreting what this algorithm does - it keeps all features from the input layer, removing parts from individual geometries (e.g. multipolygons)

until those geometries have the specified max number of parts.

#2 - 2018-12-21 04:35 PM - Odysseas VI

Maybe | am misinterpreting indeed, | was following the documentation explanation from here:
https://docs.qggis.org/testing/en/docs/user _manual/processing_algs/qgis/vectorgeometry.htmi#id261

If the case is as Nyall says, then for me the doc was confusing

#3 - 2018-12-21 08:39 PM - Nyall Dawson
https://docs.qgis.org/testing/en/docs/user_manual/processing_algs/qgis/vectorgeometry.html#id261

- Category changed from Vectors to Documentation and Help
- Status changed from Feedback to Open
- Subject changed from Keep N biggest parts does not work as expected to Keep N biggest parts documentation is incorrect

#4 - 2019-01-21 12:59 PM - Harrissou Santanna

PR at https://github.com/qgis/QGIS-Documentation/pull/3385
PS: Better report doc issues at https:/github.com/qgis/QGIS-Documentation/issues

#5 - 2019-01-23 05:05 PM - Harrissou Santanna
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Description is fixed in docs (would be online in a day)
https://github.com/qgis/QGIS-Documentation/pull/3385
https://github.com/qgis/QGIS-Documentation/issues

